	.386
	.model	use32 small

	extrn trigerrl : proc,singerrl : proc
	public	_tanl
	.data
nm	db	"tanl",0

	.code
_tanl:
      	push	ebp
	mov	ebp,esp
	lea	ecx,[ebp+8]
	fld	tbyte ptr [ecx]
	fptan
	fcomp	st(1)
	lea	eax,[nm]
	call	trigerrl
	fld1
	fchs
	fldpi
	fscale
	fxch	st(1)
	fcomp	st(1)
	fld	tbyte ptr [ecx]
	call	singerrl
	leave
	ret
	end